[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TObjectQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: contnrs.pp line 174

`type TObjectQueue = class(TQueue)`
`public`
`function Push();` |  | Push an object on the queue
`function Pop;` |  | Pop the first element off the queue
`function Peek;` |  | Look at the first object in the queue.
`end;`

## Inheritance

`TObjectQueue`
`TQueue` |  | Pointer queue
`TOrderedList` |  | Base class for queues and stacks.
`TObject`